Download it now!
Bug 33281 - PDF Export: Rotated DRAW Vertical Text Objects shown with extreme narrow kerning and other problems
Summary: PDF Export: Rotated DRAW Vertical Text Objects shown with extreme narrow kern...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high major
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.0.4 target:3.6.7
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2011-01-19 14:14 UTC by Alexandre Demers
Modified: 2013-11-24 18:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Orginal odt file (13.30 KB, application/vnd.oasis.opendocument.text)
2011-01-19 15:59 UTC, Alexandre Demers
Details
exported pdf file (17.03 KB, application/pdf)
2011-01-19 15:59 UTC, Alexandre Demers
Details
PDFs from LibreOffice export and eDoc PDF printer, rotated text looks fine (20.35 KB, application/zip)
2013-04-27 05:47 UTC, Panos Stokas
Details
LO PDF Export (18.62 KB, application/pdf)
2013-05-02 03:18 UTC, Alexandre Demers
Details
printed XPS result (76.39 KB, application/vnd.ms-xpsdocument)
2013-05-02 03:19 UTC, Alexandre Demers
Details
Printed PDF with PDF Creator (4.02 KB, application/pdf)
2013-05-02 03:19 UTC, Alexandre Demers
Details
BullZip virtual PDF printer via Ghostscript (28.60 KB, application/pdf)
2013-05-02 04:09 UTC, Alexandre Demers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Demers 2011-01-19 14:14:27 UTC
Create a vertical text area. Type something in it. It will be displayed from top to bottom (OK). In the text area properties, make a rotation of 180 degrees. Text will now be displayed the other way, from bottom to top (OK).

Export the document as PDF and open it. The text will begin at the bottom (OK), but will not be written to top. Instead, it will be written to bottom of the page mirrored on the vertical axis.
Comment 1 Alexandre Demers 2011-01-19 15:59:19 UTC
Created attachment 42209 [details]
Orginal odt file

vertical text rotated with various angles
Comment 2 Alexandre Demers 2011-01-19 15:59:57 UTC
Created attachment 42210 [details]
exported pdf file

PDF resulting file when exporting
Comment 3 Alexandre Demers 2011-01-19 16:07:53 UTC
I attached a demo file and the result in PDF.

As you can see:
- 0 and 90 degrees behave correctly.
- 45, 135, 225 and 315 degrees are not correctly expended.
- from 135 to 180 degrees, text is going in the wrong direction and is mirrored on the writing axis instead of being mirrored on the edge of the first character (which would fix both the direction and the mirror problem)
- 270 is simply unreadable, all characters are stacked one over the other at the first character position.
Comment 4 tester8 2011-01-20 12:33:20 UTC
Reproduced on Ubuntu 10.04 x86.
Comment 5 Alexandre Demers 2011-04-29 12:49:25 UTC
Could someone point me where I should look in LibreOffice code for the PDF export? I'd like to have a look at it and maybe fix it.
Comment 6 Björn Michaelsen 2011-12-23 11:49:26 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 7 Alexandre Demers 2011-12-23 14:15:30 UTC
This bug is still there in latest version and can be reproduced with the attached files.
Comment 8 tester8 2011-12-29 15:48:23 UTC
LOdev 3.5.0beta2 
4ca392c-760cc4d-f39cf3d-1b2857e-60db978
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI

Still reproduced.
Comment 9 Linus Drumbler 2012-10-24 19:36:27 UTC
Reproduced on Windows 7, version 3.6.2.2. This bug is not going away.
Comment 10 Emir Sarı 2013-01-17 18:33:21 UTC
I think this is a rather important bug, so setting importance to "high". 

Export to PDF is a very common way to preserve contents of a document, so it is not acceptable to lose information IMHO.
Comment 11 Rainer Bielefeld Retired 2013-01-23 14:29:20 UTC
Has Nothing to do With Writer! It's a General problem with rotated Draw Textboxes, I also see that with DRAW.

Affected are true type fonts and also Courier New

Was ok in Printout with Laser Printer

Several AOOo Bugs might be related:
I. 87686 - Problem with accent in vertical text when exporting to PDF
I. 100522 - 180° rotated text inText Field crippled in PDF export
I. 102352 - PDF export of vertical rotated text broken 
I. 119010 - text rotated 90 deg is inverted in PDF when in landscape layout
May be additional ones

The sample documents might show several different bugs, we will have to decide whether they should be split away. and leave this one for the kerning problem shown in "Here is a vertical text! : 45 degrees" - "Here is a vertical text! : 315 degrees"

Such an old bug seems to be not really critical, and IMHO also not MAB. But now it has been rated ...

More research soon!
Comment 12 Alexandre Demers 2013-01-23 15:15:03 UTC
It might be an old bug. It was critical at the time I was producing my essay for my master degree. However, even if I tried to attract some people to dig with me about this bug, I never succeeded. I'm not using LibreOffice as often as I used to do, but I still have to rely on other solutions when I need to produce PDF documents from time to time that have rotated text.
Comment 13 Rainer Bielefeld Retired 2013-01-23 15:18:41 UTC
Still ok with OOo 2.0.3, but visible in OOo 3.1.1, so inherited from OOo

Indeed only boxes "Vertical Text" affected
Comment 14 Linus Drumbler 2013-03-03 20:47:37 UTC
Who says you can't teach old bugs new fixes?
Comment 15 Andrés Gómez García 2013-04-22 17:43:28 UTC
Tried with LO 3.6.2.2 in Ubuntu Quantal 12.10.

Exporting to PDF, the bug is reproducible.

Printing directly to the virtual cups-pdf printer provided by:
http://www.cups-pdf.de/

The bug is reproducible with exactly the same symptoms.

Is this a problem in Ghostscript or a general problem when printing rotated boxes?

Can anyone test with actual printers through CUPS?
Comment 16 Panos Stokas 2013-04-27 05:47:03 UTC
Created attachment 78542 [details]
PDFs from LibreOffice export and eDoc PDF printer, rotated text looks fine

Using LibreOffice 4.1.0.0.alpha0+ the sample document prints without problems on my PDF printer (eDoc PDF printer pro) as well as the build in PDF exporter.
Comment 17 Alexandre Demers 2013-05-01 23:53:29 UTC
Tested with 4.0.2 and CUPS pdf printer: same problem as before. I'll try under Windows with different PDF printers.
Comment 18 Alexandre Demers 2013-05-02 03:17:29 UTC
Tested under Windows with LO 4.0.2.
Exporting directly from LO as PDF gives the same buggy result as before.
Exporting as XPS gives a good result.
Printing to a PDF printer (PDF Creator) gives a good result.

Results are coming.
Comment 19 Alexandre Demers 2013-05-02 03:18:21 UTC
Created attachment 78760 [details]
LO PDF Export

buggy as firstly reported
Comment 20 Alexandre Demers 2013-05-02 03:19:03 UTC
Created attachment 78761 [details]
printed XPS result

good
Comment 21 Alexandre Demers 2013-05-02 03:19:53 UTC
Created attachment 78762 [details]
Printed PDF with PDF Creator

good
Comment 22 Alexandre Demers 2013-05-02 04:09:55 UTC
Created attachment 78763 [details]
BullZip virtual PDF printer via Ghostscript

Another test with a different solution: Bullzip PDF printer based on Ghostscript. This result is not as good as some other options, but not as buggy as LO PDF Export.
Comment 23 bfoman (inactive) 2013-05-21 09:24:31 UTC
Marking as NEW - many commenters confirmed, also in latest stable version.
Comment 24 Miklos Vajna 2013-05-22 10:18:04 UTC
I can reproduce this with an older (from 2013-03-09) master build, but not with latest master, I'll track down which commit fixed this, hopefully something that's possible to backport.
Comment 25 Commit Notification 2013-05-23 07:43:22 UTC
Zhe Wang committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95ad41e7da7423639157c8fe7a5fc29066760689&h=libreoffice-4-0

fdo#33281, i#120627 [From Symphony]the text on the Y axis is reversed when export ppt file to PDF format.


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2013-05-23 08:22:24 UTC
Zhe Wang committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07d4398a4a3e25ade493aca0e6b3e480c1a14014&h=libreoffice-3-6

fdo#33281, i#120627 [From Symphony]the text on the Y axis is reversed when export ppt file to PDF format.


It will be available in LibreOffice 3.6.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Miklos Vajna 2013-05-23 08:23:23 UTC
Fixed in libreoffice-4-0 and libreoffice-3-6, marking as resolved.